// 添加水印方法
export default function (strArr) {
  // let cpyName = str
  // if (str.length > 16) {
  //   cpyName = str.substring(0, 16)
  // }
  if (window.$('.shuiyincanvas')[0]) {
    window.$('.shuiyincanvas')[0].remove()
  }
  let win = window.$(window)
  let winW = win.width()
  let winH = win.height()
  let boxW = 300
  let boxH = 200
  let boxWL = Math.ceil(winW / boxW)
  let boxHL = Math.ceil(winH / boxH)
  let canvas = window.$('<canvas class="shuiyincanvas"></canvas>')
  let report = window.$('body')
  report.append(canvas)
  canvas.css({
    zIndex: '999',
    position: 'fixed',
    top: 0,
    left: 0,
    'pointer-events': 'none'
  })
  canvas[0].width = winW
  canvas[0].height = winH
  let ctx = canvas[0].getContext('2d')
  ctx.globalAlpha = 0.3
  ctx.fillStyle = '#000'
  ctx.textAlign = 'left'
  ctx.textBaseline = 'top'
  let fontSize = 16
  ctx.font = '200 ' + fontSize + 'px ' + ' Microsoft Yahei'
  for (let i = 0; i < boxWL; i++) {
    for (let j = 0; j < boxHL; j++) {
      // console.log(i, j)
      let suijix = Math.random() * 50
      let suijiy = Math.random() * 50
      ctx.translate(i * boxW + suijix, j * boxH + suijiy)
      ctx.rotate(45 * Math.PI / 180)
      setName(strArr, ctx)
      ctx.rotate(-45 * Math.PI / 180)
      ctx.translate(-1 * i * boxW - suijix, -1 * j * boxH - suijiy)
    }
  }
}
function setName (arr, ctx) {
  let h = 24
  arr.forEach((e, i) => {
    ctx.fillText(e, 0, i * h)
  })
}
